# Get Venue Room List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getVenueRoomList`

#### Request Body

| Name    | Type    | Description         |
| ------- | ------- | ------------------- |
| venueId | integer | The id of the venue |

{% tabs %}
{% tab title="200 " %}

```
{
  "meta": {
    "totalResults": 1,
    "start": 0,
    "perPage": null,
    "count": 1
  },
  "results": [
    {
      "id": 1,
      "code": "2-1",
      "name": "Family RoomFamily",
      "description": "<p>The best family rooms:</p>  <ul><li>One double bed</li>  <li>Two child beds</li>  <li>Sitting area</li>  <li>Balcony</li> </ul>",
      "numStandardAdults": 2,
      "numExtraAdults": 1,
      "extraAdultCost": 100,
      "canSmoke": false,
      "capacity": 10,
      "marketplaceName": null
    }
  ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties. The venueId is required, for example {"venuId":10}

### Example Request

`Get a specific Venue’s Room List`

```javascript
{
  "venueId": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-venue-room-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
